Comments Plus ignores Facebook login

I’m using Comments Plus and can happily get WordPress, Twitter & Google to work perfectly. But try and try again I can’t get Facebook to work.

When I try to login to facebook in the comment field it just throws me to the top of the current page and does nothing.

here’s a test page showing what happens:

http://test.toptasmania.com/2011/11/shortcode-test-2/

Thoughts? I’m sure I’ve set the app up OK….

  • deepsouth
    • WPMU DEV Initiate

    In addition I see this error on the page:

    Message: OAuth2 specification states that 'perms' should now be called 'scope'.  Please update.
    Line: 23
    Char: 1336
    Code: 0
    URI: http://connect.facebook.net/en_US/all.js?ver=3.3

    Could this be the cause of the issue, and if so, any ideas on how to fix?

    thanks :slight_smile:

  • DavidM
    • DEV MAN’s Mascot

    Hi deepsouth,

    Sorry you’re experiencing some trouble with that. I’ve actually got the plugin setup in some test sites where I’m unable to replicate that.

    Could you try deactivating that other social button plugin for a moment to see how that affects the Facebook login?

    Also, do you have other plugins that utilize Facebook services? If so, could you try disabling them for a moment to see how it works with that?

    There’s a “Skip loading Facebook javascript” option in included in Comments Plus that might just sort that as well, but it’d help to know if this is due to a plugin conflict.

    Thanks,

    David

  • Vladislav
    • Dead Eye Dev

    Hi,

    Can you please take a look at the plugin version on your site and see if you’re using the latest release (v1.2)? As for the wpmu.org issue, the plugin has been updated on site and I couldn’t recreate the issue you encountered. It could be that you have the old script version stored in your browser cache. Could you please try to clear your cache and try again?

  • deepsouth
    • WPMU DEV Initiate

    Very interesting. Tried this on IE8 Chrome & Firefox and all were not playing nice.

    Turns out just needed to update the plug since I was also using WP3.3. Sorry, I should have checked the plugin version before, I suppose I just assumed it wouldn’t be so sensitive.

    That’ll also teach me to have the update notification plugin installed!

    Thanks to both of you for your swift help, much appreciated.

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.